پیکسل‌ها

GET https://tistos.com/api/pixels/
curl --request GET \
--url 'https://tistos.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
پارامترها جزئیات توضیحات
search اختیاری رشته رشته جستجو
search_by اختیاری رشته در کدام فیلد شما دنبال می‌کنید. مقادیر مجاز عبارتند از: name, pixel
type اختیاری رشته مقادیر مجاز: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat
datetime_field اختیاری رشته مقادیر مجاز: datetime, last_datetime
datetime_start اختیاری رشته نتایج را از این تاریخ و زمان فیلتر کنید. فرمت Y-m-d H:i:s.
datetime_end اختیاری رشته نتایج را تا این تاریخ و زمان فیلتر کنید. فرمت Y-m-d H:i:s.
order_by اختیاری رشته در کدام فیلد نتایج مرتب شود. مقادیر مجاز عبارتند از: pixel_id, datetime, last_datetime, name
order_type اختیاری رشته ترتیب نتایج. مقادیر مجاز عبارتند از: ASC برای ترتیب صعودی و DESC برای ترتیب نزولی
page اختیاری عدد صحیح شماره صفحه‌ای که می‌خواهید نتایج از آنجا بگیرید. به‌صورت پیش‌فرض 1 است.
results_per_page اختیاری عدد صحیح تعداد نتایج مورد نظرتان برای هر صفحه چقدر است. مقادیر مجاز عبارتند از: 10, 25, 50, 100, 250, 500, 1000. به‌طور پیش‌فرض به 25 تنظیم شده است.
{
    "data": [
        {
            "id": 1,
            "type": "facebook",
            "name": "Fb Ads",
            "pixel": "1234567",
            "last_datetime": null,
            "datetime": "2026-07-18 11:34:32",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://tistos.com/api/pixels?page=1",
        "last": "https://tistos.com/api/pixels?page=1",
        "next": null,
        "prev": null,
        "self": "https://tistos.com/api/pixels?page=1"
    }
}
GET https://tistos.com/api/pixels/{pixel_id}
curl --request GET \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "facebook",
        "name": "Fb Ads",
        "pixel": "1234567",
        "last_datetime": null,
        "datetime": "2026-07-18 11:34:32",
    }
}
POST https://tistos.com/api/pixels
پارامترها جزئیات توضیحات
type ضروری رشته مقادیر مجاز: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat
name ضروری رشته -
pixel ضروری رشته -
curl --request POST \
--url 'https://tistos.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
    "data": {
        "id": 1
    }
}
POST https://tistos.com/api/pixels/{pixel_id}
پارامترها جزئیات توضیحات
type اختیاری رشته مقادیر مجاز: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat
name اختیاری رشته -
pixel اختیاری رشته -
curl --request POST \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
    "data": {
        "id": 1
    }
}
DELETE https://tistos.com/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \